Bug 137430 - CRASH: closing LibreOffice after cutting content (gtk3)
Summary: CRASH: closing LibreOffice after cutting content (gtk3)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2020-10-12 15:14 UTC by Xisco Faulí
Modified: 2020-10-30 15:47 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
backtrace from assertion (23.89 KB, text/plain)
2020-10-17 02:55 UTC, Terrence Enger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-10-12 15:14:15 UTC
Steps to reproduce:
1. Open attachment 165731 [details] from bug 136930
2. Select all
3. Cut
4. Close LibreOffice

-> Crash

Reproduced in

Version: 7.1.0.0.alpha0+
Build ID: a9976a958b2857e308c6598532151878615bfd9f
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-10-12 15:15:38 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=69d903c59729deb9f9824929bb31e4256f09025b

author	Bjoern Michaelsen <bjoern.michaelsen@libreoffice.org>	2020-07-05 15:24:43 +0200
committer	Bjoern Michaelsen <bjoern.michaelsen@libreoffice.org>	2020-08-07 17:28:14 +0200
commit 69d903c59729deb9f9824929bb31e4256f09025b (patch)
tree 7a5fdaf7ac1ad03ac5fe341ba5471c8b29eea8e4
parent 6026038442790ea8c72cdd16490d8c99aaa8a946 (diff)
SwTOXBaseSection::UpdateMarks: SwIterator no more ...

Bisected with: bibisect-linux64-7.1

Adding Cc: to Bjoern Michaelsen
Comment 2 Terrence Enger 2020-10-17 02:55:29 UTC
Created attachment 166450 [details]
backtrace from assertion

With a local build of commit f9050075 (2020-10-04), built and running
on debian-buster, I get the attached backtrace showing a failed
assertion in SvtBroadcaster::Add(SvtListener*),
/home/terry/lo_hacking/git/libo6/svl/source/notify/broadcast.cxx:120.
In the terminal (rewrapped):

    soffice.bin:
        /home/terry/lo_hacking/git/libo6/svl/source/notify/broadcast.cxx:120:
        void SvtBroadcaster::Add(SvtListener*):
        Assertion `!mbAboutToDie && "called after PrepareForDestruction()?"'
        failed.

I am removing keyword wantBacktrace and adding haveBacktrace.
Comment 3 Xisco Faulí 2020-10-30 15:47:00 UTC
Same as bug 137855
Issue fixed by
https://git.libreoffice.org/core/+/fd9c47eda58dda5e61850e9b9f6de0f38d221b4a%5E%21

@Caolán, thanks for fixing this issue!!